For the latest news and information visit The GNU Crypto project

## gnu.crypto.sig.rsa
Class RSAPKCS1V1_5Signature

    java.lang.Object
      |
      +--gnu.crypto.sig.BaseSignature
            |
            +--gnu.crypto.sig.rsa.RSAPKCS1V1_5Signature

All Implemented Interfaces:
  java.lang.Cloneable, ISignature

public class RSAPKCS1V1_5Signature
extends BaseSignature

The RSA-PKCS1-V1.5 signature scheme is a digital signature scheme with appendix (SSA) combining the RSA algorithm with the EMSA-PKCS1-v1_5 encoding method.

References:

1. RSA-PSS Signature Scheme with Appendix, part B.
   Primitive specification and supporting documentation.
   Jakob Jonsson and Burt Kaliski.
2. Public-Key Cryptography Standards (PKCS) #1:
   RSA Cryptography Specifications Version 2.1.
   Jakob Jonsson and Burt Kaliski.

Field Summary

Fields inherited from class gnu.crypto.sig.BaseSignature
`md, privateKey, publicKey, schemeName`

Fields inherited from interface gnu.crypto.sig.ISignature
`SIGNER_KEY, SOURCE_OF_RANDOMNESS, VERIFIER_KEY`

Constructor Summary
`RSAPKCS1V1_5Signature()` Default 0-arguments constructor.
`RSAPKCS1V1_5Signature(java.lang.String mdName)` Constructs an instance of this object using the designated message digest algorithm as its underlying hash function.

Method Summary
`java.lang.Object` `clone()` Returns a clone copy of this instance.
`protected java.lang.Object` `generateSignature()`
`protected void` `setupForSigning(java.security.PrivateKey k)`
`protected void` `setupForVerification(java.security.PublicKey k)`
`protected boolean` `verifySignature(java.lang.Object sig)`

Methods inherited from class gnu.crypto.sig.BaseSignature
`init, name, nextRandomBytes, setupSign, setupVerify, sign, update, update, verify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAPKCS1V1_5Signature

    public RSAPKCS1V1_5Signature()

  Default 0-arguments constructor. Uses SHA-1 as the default hash.

### RSAPKCS1V1_5Signature

    public RSAPKCS1V1_5Signature(java.lang.String mdName)

  Constructs an instance of this object using the designated message digest algorithm as its underlying hash function.

Parameters:
  `mdName` - the canonical name of the underlying hash function.

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ISignature`

  Returns a clone copy of this instance.

  Specified by:
    `clone` in interface `ISignature`
  Specified by:
    `clone` in class `BaseSignature`
  Returns:
    a clone copy of this instance.

### setupForVerification

    protected void setupForVerification(java.security.PublicKey k)
                                 throws java.lang.IllegalArgumentException

  Specified by:
    `setupForVerification` in class `BaseSignature`
    `java.lang.IllegalArgumentException`

### setupForSigning

    protected void setupForSigning(java.security.PrivateKey k)
                            throws java.lang.IllegalArgumentException

  Specified by:
    `setupForSigning` in class `BaseSignature`
    `java.lang.IllegalArgumentException`

### generateSignature

    protected java.lang.Object generateSignature()
                                          throws java.lang.IllegalStateException

  Specified by:
    `generateSignature` in class `BaseSignature`
    `java.lang.IllegalStateException`

### verifySignature

    protected boolean verifySignature(java.lang.Object sig)
                               throws java.lang.IllegalStateException

  Specified by:
    `verifySignature` in class `BaseSignature`
    `java.lang.IllegalStateException`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.